Tried compiling it from wineHQ source - didn't work out so well.

Then tried the repo from open suse http://download.opensuse.org/reposit...ne/SLE-12-SP3/ This installed and appears to be working so far, but like you said unsupported.